package cn.ezhizao.project.business.service.impl;


import cn.ezhizao.project.business.domain.BizDayworkItemReject;
import cn.ezhizao.project.business.mapper.BizDayworkItemRejectMapper;
import cn.ezhizao.project.business.service.IBizDayworkItemRejectService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 废品原因Service业务层处理
 *
 * @author ezhizao
 * @date 2023-12-28
 */
@Service
public class BizDayworkItemRejectServiceImpl extends ServiceImpl<BizDayworkItemRejectMapper, BizDayworkItemReject> implements IBizDayworkItemRejectService
{
    @Resource
    private BizDayworkItemRejectMapper bizDayworkItemRejectMapper;

    /**
     * 查询废品原因列表
     *
     * @param bizDayworkItemReject 废品原因
     * @return 废品原因
     */
    @Override
    public List<BizDayworkItemReject> getList(BizDayworkItemReject bizDayworkItemReject)
    {
        return bizDayworkItemRejectMapper.getList(bizDayworkItemReject);
    }


    @Override
    public List<BizDayworkItemReject> getRejectReport(BizDayworkItemReject bizDayworkItemReject) {
        return bizDayworkItemRejectMapper.getRejectReport(bizDayworkItemReject);
    }

    @Override
    public List<BizDayworkItemReject> getRejectRecords(BizDayworkItemReject bizDayworkItemReject) {
        return bizDayworkItemRejectMapper.getRejectRecords(bizDayworkItemReject);
    }

    @Override
    public List<BizDayworkItemReject> getRejectListByItemId(Long dayworkItemId) {
        return bizDayworkItemRejectMapper.getRejectListByItemId(dayworkItemId);
    }

    @Override
    public List<BizDayworkItemReject> getSortStandardLot(BizDayworkItemReject bizDayworkItemReject) {
        return bizDayworkItemRejectMapper.getSortStandardLot(bizDayworkItemReject);
    }

    @Override
    public List<BizDayworkItemReject> getSortCheckStandardList(BizDayworkItemReject bizDayworkItemReject) {
        return bizDayworkItemRejectMapper.getSortCheckStandardList(bizDayworkItemReject);
    }

    @Override
    public List<BizDayworkItemReject> getSortCheckStandard(BizDayworkItemReject bizDayworkItemReject) {
        return bizDayworkItemRejectMapper.getSortCheckStandard(bizDayworkItemReject);
    }

    @Override
    public List<BizDayworkItemReject> getSortRejectList(BizDayworkItemReject bizDayworkItemReject) {
        return bizDayworkItemRejectMapper.getSortRejectList(bizDayworkItemReject);
    }


    @Override
    public int updateDayworkItemId(List<BizDayworkItemReject> rejects) {
        return bizDayworkItemRejectMapper.updateDayworkItemId(rejects);
    }

    @Override
    public int removeSpecial(List<Long> firstDayworkIds) {
        return bizDayworkItemRejectMapper.removeSpecial(firstDayworkIds);
    }


}
